# Casio Pomrie Localization
Work to localize the Japanese-language Casio Pomrie software, which is required to use the Wi-Fi features of the Pomrie stamp maker.

## What is this?
I have a Casio Pomrie STC-W10, which is a proprietary platform for making custom self-inking stamps. This product is sold in the United States as the Silhouette Mint, but the Wi-Fi model is not available. Since the Wi-Fi model is only available in East Asia, the software build that supports the Wi-Fi feature is not available in English.

I've fully localized the Pomrie Windows application, but doing so required decompiling (reflecting) the .NET code. This is technically a violation of the software EULA, so I'm hoping to eventually release a .NET patch which simply does a bunch of string and bitmap replacement in the main application executable.

Localizing the Mac version of the app has been more challenging - the images were easy to update, but the menu items exist in a compiled .NIB file that I just had a hell of a time decompiling. I now have a decompiled, localized .XIB file awaiting compilation. Hopefully, that's all that's needed to finish localizing the Mac app.

## Will you release the Windows version?
A patch is forthcoming. Maybe.

## Will you release the Mac version?
This is more feasible, if all I have to do is release the compiled NIB file. The images can easily be obtained from the English version of the Pomrie software, which excludes the Wi-Fi configuration tool.

# What are the files in this repo?
Right now, there are two files available:

* `base64decode.html` is a JavaScript-based tool which can convert a Base64 string, copied from a decompiled XIB file, into a human-readable string. If the converted string is Japanese, the tool can also translate the text.
* `translator.ps1` is a PowerShell script which:
	1.	ingests a decompiled XIB file
	2.	extracts the relevant strings using regex
	3.	converts the base64 to Japanese text
	4.	translates Japanese to English
	5.	encodes the English translation back to base64
	6.	updates the XML used for the .XIB file